Skip to content
Judgment Labs
Esc
↑↓navigate↵open⌘Jpreview

Update test run status

Update Supabase test_runs status for a v1 test run.

PATCH/v1/projects/{projectId}/test-runs/{testRunId}/status
Authorization
AuthorizationPersonal API key · headerrequired

Your personal API key from Settings > Personal API Keys, sent as Bearer <key>.

X-Organization-IdOrganization ID · headerrequired

The organization to act in. Copy it with Copy organization ID in the organization menu or the settings sidebar.

Path parameters
projectIdstringrequired
testRunIdstringrequired
Request body
requiredapplication/json
statusstringrequired
Allowed:pendingrunningcompletederrorcancelled
error_messagestring | null
Show properties
Any of:
string
string
null
null
Responses
200

Response for status 200

test_runobjectrequired
Show properties
idstringrequired
organization_idstring
project_idstringrequired
user_idstringrequired
test_config_idstringrequired
dataset_idstringrequired
dataset_version_idstringrequired
sourcestringrequired
Allowed:sdkclimcpplatformlegacy
statusstringrequired
Allowed:pendingrunningcompletederrorcancelled
namestringrequired
error_messagestring | null
Show properties
Any of:
string
string
null
null
created_atstring
updated_atstring
started_atstring | null
Show properties
Any of:
string
string
null
null
completed_atstring | null
Show properties
Any of:
string
string
null
null
ui_results_urlstring | null
Show properties
Any of:
string
string
null
null
404

Response for status 404

errorstringrequired
messagestring
codestring
detailsstring[]
409

Response for status 409

errorstringrequired
messagestring
codestring
detailsstring[]
422

Response for status 422

errorstringrequired
messagestring
codestring
detailsstring[]
Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X PATCH 'https://api.judgmentlabs.ai/v1/projects/YOUR_PROJECT_ID/test-runs/YOUR_TEST_RUN_ID/status' \
  -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'X-Organization-Id: YOUR_ORGANIZATION_ID' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "status": "pending",
  "error_message": "string"
}'
Response
{
  "test_run": {
    "id": "string",
    "organization_id": "string",
    "project_id": "string",
    "user_id": "string",
    "test_config_id": "string",
    "dataset_id": "string",
    "dataset_version_id": "string",
    "source": "sdk",
    "status": "pending",
    "name": "string",
    "error_message": "string",
    "created_at": "string",
    "updated_at": "string",
    "started_at": "string",
    "completed_at": "string"
  },
  "ui_results_url": "string"
}

Was this page helpful?